Last Comment Bug 711704 - trailing comma in nsXULTooltipListener.h
: trailing comma in nsXULTooltipListener.h
Status: RESOLVED FIXED
[fixed by bug 711908 and others in co...
:
Product: Core
Classification: Components
Component: XUL (show other bugs)
: Trunk
: Other Linux
: -- normal (vote)
: ---
Assigned To: Stefan
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-17 01:25 PST by Stefan
Modified: 2011-12-23 14:06 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (2.56 KB, patch)
2011-12-17 01:26 PST, Stefan
no flags Details | Diff | Splinter Review
fix v2 (942 bytes, patch)
2011-12-20 11:40 PST, Stefan
bzbarsky: review+
Details | Diff | Splinter Review

Description Stefan 2011-12-17 01:25:20 PST
User Agent:  
Build ID: 20111216200736

Steps to reproduce:

1. Compile source with OpenSUSE Evergreen 11.1 GCC (cf. Bug 706610)


Actual results:

1. Three new errors are reported.


Expected results:

1. No errors (fix attached).
Comment 1 Stefan 2011-12-17 01:26:29 PST
Created attachment 582504 [details] [diff] [review]
fix
Comment 2 Stefan 2011-12-18 17:29:07 PST
Both are fixed now:

- No bug - Remove stray semicolons from FILEINFO_SUBCLASS calls, the macro already
  includes it; rs=jfkthame 
  http://hg.mozilla.org/mozilla-central/rev/543af61eee05

- No bug - Remove stray semicolon in nsThread.cpp; rs=bsmedberg 
  http://hg.mozilla.org/mozilla-central/rev/f6adee33fc61
Comment 3 :aceman 2011-12-19 00:02:19 PST
Doesn't look like those 2 commits cover all fixes in your patch.
Only the nsThread.cpp case is covered.

Or what do you mean?
Comment 4 Stefan 2011-12-19 04:51:51 PST
Oops. Actually the excess comma in nsXULTooltipListener.h has not been removed.

543af61eee05 fixes the Problem in Fileinfo.h keeping the semicolon in the #define and removing it where the define is used. I fixed it the other way around.
Comment 5 :aceman 2011-12-20 11:00:54 PST
So can you update the patch to contain only the nsXULTooltipListener.h part and then request review?
Comment 6 Stefan 2011-12-20 11:40:46 PST
Created attachment 583235 [details] [diff] [review]
fix v2
Comment 7 Boris Zbarsky [:bz] (still a bit busy) 2011-12-21 11:42:46 PST
Comment on attachment 583235 [details] [diff] [review]
fix v2

r=me
Comment 8 Stefan 2011-12-23 09:40:53 PST
fixed in 
Bug 711908 - Fix a bunch of GCC warnings in layout
with
https://hg.mozilla.org/mozilla-central/rev/1e25bdfb62c0

Note You need to log in before you can comment on or make changes to this bug.